{
  "schema_version": "1.4.0",
  "id": "GHSA-g6r7-pq94-29xp",
  "modified": "2022-05-17T04:29:29Z",
  "published": "2022-05-17T04:29:29Z",
  "aliases": [
    "CVE-2014-4909"
  ],
  "details": "Integer overflow in the tr_bitfieldEnsureNthBitAlloced function in bitfield.c in Transmission before 2.84 allows remote attackers to cause a denial of service and possibly execute arbitrary code via a crafted peer message, which triggers an out-of-bounds write.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-4909"
    },
    {
      "type": "WEB",
      "url": "https://bugs.gentoo.org/show_bug.cgi?id=516822"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1118290"
    },
    {
      "type": "WEB",
      "url": "https://trac.transmissionbt.com/wiki/Changes#version-2.84"
    },
    {
      "type": "WEB",
      "url": "https://twitter.com/benhawkes/statuses/484378151959539712"
    },
    {
      "type": "WEB",
      "url": "http://inertiawar.com/submission.go"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2014-July/135539.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2014-08/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59897"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60108"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60527"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2988"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2014/07/10/4"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2014/07/11/5"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/108997"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/68487"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2279-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-07-29T14:55:00Z"
  }
}